Subject: Re: [PATCH v4 2/4] diff: add option to skip resolving diff statuses

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 28 Feb 2025 09:29:25 +0100

On Thu, Feb 27, 2025 at 06:26:02PM -0600, Justin Tobler wrote:
> By default, `diffcore_std()` resolves the statuses for queued diff file
> pairs by calling `diff_resolve_rename_copy()`. If status information is
> already manually set, invoking `diffcore_std()` may change the status
> value.
> 
> Introduce the `skip_resolving_statuses` diff option that prevents
> `diffcore_std()` from resolving file pair statuses when enabled.

You mentioned to me that there was another user that basically abused
`found_follow` to skip over this, which seems to be in "tree-diff.c".
Would it make sense to convert that user to use the new mechanism, as
well, so that we don't mix up options and state?

Patrick